import { Http } from '@angular/http';
import { Observable } from 'rxjs/Observable';
export interface BlogEntryMetadata {
    title: string;
    description: string;
}
export interface BlogEntry extends BlogEntryMetadata {
    date: string;
    url: string;
    body: string;
}
export interface IBlogService {
    getBlogList(): Observable<BlogEntry[]>;
    getBlogEntry(date: string, urlSlug: string): Observable<BlogEntry>;
}
export declare class BlogService implements IBlogService {
    private http;
    constructor(http: Http);
    getBlogList(): Observable<BlogEntry[]>;
    getBlogEntry(date: string, urlSlug: string): Observable<BlogEntry>;
}
