"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var highlight_js_1 = require("highlight.js");
var marked = require("marked");
var options = {
    gfm: true,
    tables: true,
    breaks: false,
    pedantic: false,
    sanitize: false,
    smartLists: true,
    smartypants: false,
    highlight: function (code, lang) {
        return highlight_js_1.highlightAuto(code, lang ? [lang] : undefined).value;
    }
};
function renderMarkdownToHtml(markdown) {
    marked.setOptions(__assign({}, options, { renderer: new marked.Renderer() }));
    return marked(markdown);
}
exports.renderMarkdownToHtml = renderMarkdownToHtml;
//# sourceMappingURL=markdown.js.map