"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = require("path");
var folderHash = require('folder-hash');
module.exports = function blogHashLoader(blogPath) {
    var callback = this.async();
    this.addContextDependency(path_1.resolve(blogPath));
    folderHash.hashElement(blogPath)
        .then(function (blogHash) { return JSON.stringify({ blogHash: blogHash }); })
        .then(function (json) { return "module.exports = " + json + ";"; })
        .then(function (result) { callback(undefined, result); })
        .catch(function (error) { callback(error); });
};
//# sourceMappingURL=blog-hash-loader.js.map