"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var platform_server_1 = require("@angular/platform-server");
var injection_tokens_1 = require("./../module/injection-tokens");
var blog_service_1 = require("./../module/services/blog.service");
var renderer_blog_service_1 = require("./renderer-blog.service");
function appRenderModuleFactory(appModule, appComponent, options, production) {
    var AppRendererModule = (function () {
        function AppRendererModule() {
        }
        AppRendererModule.prototype.ngDoBootstrap = function () { };
        return AppRendererModule;
    }());
    AppRendererModule = __decorate([
        core_1.NgModule({
            imports: [
                appModule,
                platform_server_1.ServerModule
            ],
            providers: [
                renderer_blog_service_1.RendererBlogService,
                { provide: injection_tokens_1.PRODUCTION, useValue: production },
                { provide: injection_tokens_1.GENERATOR_OPTIONS, useValue: options },
                { provide: blog_service_1.BlogService, useClass: renderer_blog_service_1.RendererBlogService }
            ],
            bootstrap: (appComponent ? [appComponent] : []).slice()
        })
    ], AppRendererModule);
    return AppRendererModule;
}
exports.appRenderModuleFactory = appRenderModuleFactory;
//# sourceMappingURL=app-renderer-module-factory.js.map