import { Observable } from 'rxjs/Observable';
import { BlogEntry, IBlogService } from './../module/services/blog.service';
import { GeneratorOptions } from './../options';
import { ModuleOptions } from './../options';
export declare class RendererBlogService implements IBlogService {
    private production;
    private moduleOptions;
    private generatorOptions;
    constructor(production: boolean, moduleOptions: ModuleOptions, generatorOptions: GeneratorOptions);
    getBlogList(): Observable<BlogEntry[]>;
    getBlogEntry(date: string, urlSlug: string): Observable<BlogEntry>;
    getBlogListSync(setBody?: boolean): BlogEntry[];
    private getBlogEntryByFilename(blogFilename, setBody?);
    private parseBlogFilename(filename);
    private parseBlogFileContents(filename, fileContents, setBody);
    private processBody(filename, rawBody);
}
