"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var link_directive_1 = require("./directives/link.directive");
var injection_tokens_1 = require("./injection-tokens");
var blog_service_1 = require("./services/blog.service");
var declarations = [
    link_directive_1.LinkDirective
];
var NgStaticSiteGeneratorModule = (function () {
    function NgStaticSiteGeneratorModule() {
    }
    NgStaticSiteGeneratorModule.forRoot = function (options) {
        return {
            ngModule: NgStaticSiteGeneratorModule,
            providers: [
                { provide: injection_tokens_1.MODULE_OPTIONS, useValue: options }
            ]
        };
    };
    return NgStaticSiteGeneratorModule;
}());
NgStaticSiteGeneratorModule.decorators = [
    { type: core_1.NgModule, args: [{
                providers: [
                    blog_service_1.BlogService
                ],
                declarations: declarations.slice(),
                exports: declarations.slice()
            },] },
];
/** @nocollapse */
NgStaticSiteGeneratorModule.ctorParameters = function () { return []; };
exports.NgStaticSiteGeneratorModule = NgStaticSiteGeneratorModule;
//# sourceMappingURL=ng-static-site-generator.module.js.map