"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var generate_client_app_webpack_config_1 = require("./generate-client-app-webpack-config");
var generate_static_site_webpack_config_1 = require("./generate-static-site-webpack-config");
function generateWebpackConfig(options, watch, production) {
    var buildClientApp = options.mainPath !== undefined;
    var configurations = [];
    var buildTemplate = buildClientApp === false;
    configurations.push(generate_static_site_webpack_config_1.generateStaticSiteWebpackConfig(options, watch, production, buildTemplate));
    if (buildClientApp) {
        configurations.push(generate_client_app_webpack_config_1.generateClientAppWebpackConfig(options, watch, production));
    }
    return configurations;
}
exports.generateWebpackConfig = generateWebpackConfig;
//# sourceMappingURL=generate-webpack-config.js.map