/// <reference types="webpack" />
import * as webpack from 'webpack';
import { GeneratorOptions } from '../options';
export declare class NgStaticSiteGeneratorPlugin {
    private options;
    private static blogHash;
    private static script;
    private static template;
    private static lastHash;
    private static targetCompiler;
    constructor(options: GeneratorOptions);
    apply(compiler: webpack.Compiler): void;
    private executeGeneratorScript(compilation);
    private addRenderedFiles(compilation, files);
    private computeHash(value);
}
